tebarDocs
GuideDevelopersAPI ReferenceChangelog
Webhooks

Send a test event

POST
/v1/webhooks/{id}/test

Sends webhook.test to this endpoint, whatever events it listens to.

Requires the write scope. Owner key or session only: a profile key gets 403 owner_key_required.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Path Parameters

id*string
Formatuuid

Response Body

The new delivery.

application/json
  1. response
id*string
Formatuuid
event_id*string
type*string
status*string
Value in"pending""delivered""failed"
attempts*integer
last_status*integer|null
last_error*string|null
next_attempt_at*|null
delivered_at*|null
created_at*string
Formatdate-time
payload*
Example Request
curl -X POST 'https://api.tebar.app/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/test'
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "event_id": "string",
  "type": "string",
  "status": "pending",
  "attempts": 0,
  "last_status": 0,
  "last_error": "string",
  "next_attempt_at": "2019-08-24T14:15:22Z",
  "delivered_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "payload": {
    "id": "string",
    "type": "account.connected",
    "created_at": "2019-08-24T14:15:22Z",
    "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8",
    "data": {
      "property1": null,
      "property2": null
    }
  }
}